<?php
/**
 * Created by PhpStorm.
 * User: Admin
 * Date: 20.08.2020
 * Time: 20:33
 */

namespace Diamond\Domain\UserGroup\Contracts;

use Repo\PaginationInterface;
use Repo\RepositoryCriteriaInterface;

interface UserGroupCriteriaInterface extends RepositoryCriteriaInterface,PaginationInterface
{

    public function getSearchByName():?string ;

    public function setSearchByName(?string $name);

    public function getFilterByName():?string ;

    public function setFilterByName(?string $name);

    public function getFilterByCode():?string ;

    public function setFilterByCode(?string $name);
}